import request from '@/utils/request'

// 查询客户联系人列表
export function listContact(query) {
  return request({
    url: '/basicdata/contact/list',
    method: 'get',
    params: query
  })
}

// 查询客户联系人详细
export function getContact(tId) {
  return request({
    url: '/basicdata/contact/' + tId,
    method: 'get'
  })
}

// 新增客户联系人
export function addContact(data) {
  return request({
    url: '/basicdata/contact',
    method: 'post',
    data: data
  })
}

// 修改客户联系人
export function updateContact(data) {
  return request({
    url: '/basicdata/contact',
    method: 'put',
    data: data
  })
}

// 删除客户联系人
export function delContact(tId) {
  return request({
    url: '/basicdata/contact/' + tId,
    method: 'delete'
  })
}

// 导出客户联系人
export function exportContact(query) {
  return request({
    url: '/basicdata/contact/export',
    method: 'get',
    params: query
  })
}